1. #1

    Autopatch prolems.

    I am getting the update error.
    ANNO 2070 could not be be updated. Possible reasons
    ANNO 2070 is not installed
    ANNO 2070 is already up to date,
    The ANNO 2070 installation is corrupted. In this case please reinstall.

    Have used latest offlineautopatcher.
    Have uninstalled and reinstalled a number of times.
    Steam purchase of complete edition.

    Any help would be appreciated thank you.
    Share this post

  2. #2
    UbiCosmos's Avatar Community Representative
    Join Date
    Oct 2018
    Posts
    4,555
    Hello Markwill1962,

    Welcome to the forums! Please reach out to our Support Team directly with the details for assistance.
    Share this post